# Get Collection

### Get a single collection by address

## Returns a single collection

<mark style="color:blue;">`GET`</mark> `https://api.alturanft.com/api/v2/collection/:address`

Takes a collection's address and returns that collection

#### Path Parameters

| Name                                      | Type   | Description              |
| ----------------------------------------- | ------ | ------------------------ |
| address<mark style="color:red;">\*</mark> | String | The collection's address |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "collection": {
    "address": "0x78e99615063da7c12c247e6bc01240da00df77ae",
    "name": "The Hatchables",
    "description": "The Hatchables Collection are the NFTs that drop from Altura's first-ever loot box. The Hatchables are Smart NFT Eggs that crack over time until hatching into their final unknown form. There are five different levels of rarity: legendary, super-rare, rare, uncommon, and common. After each crack, something special will occur for the holders of the Legendary and super-rare tier NFTs.",
    "genre": "Collectibles",
    "image": "https://ipfs.io/ipfs/QmSf9S4YJRjFGTomiQAXRNwgfn6XWsZX9v7CWnFZhMv2wK",
    "imageHash": "QmSf9S4YJRjFGTomiQAXRNwgfn6XWsZX9v7CWnFZhMv2wK",
    "ownerAddress": "0xcaf45074fc329692995d812aeb099070c7fdee2b",
    "slug": "the-hatchables",
    "uri": "https://api.alturanft.com/meta/the-hatchables/",
    "website": "https://www.alturanft.com/",
    "mintDate": "2021-11-10T18:05:14.286Z",
    "chainId": 56,
    "holders": 2771,
    "volume_1d": 0,
    "volume_1w": 21.404910609999998,
    "volume_30d": 559.3055763599999,
    "volume_all": 174393.3654527347,
    "imageUrl": "https://altura-marketplace-1.s3.us-east-2.amazonaws.com/56-0x78e99615063da7c12c247e6bc01240da00df77ae_956b45d9-0e89-4d11-ab8e-540cbe5075a8.png"
  }
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-collection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
